**Full name**: projects.locations.indexEndpoints.patch

Updates an IndexEndpoint.

### Endpoint

patch `https://{service-endpoint}/v1/{indexEndpoint.name}`   
`PATCH https://{service-endpoint}/v1/{indexEndpoint.name}`

Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`indexEndpoint.name` `string` Output only. The resource name of the IndexEndpoint.

### Query parameters

`updateMask` ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. The update mask applies to the resource. See `https://protobuf.dev/reference/protobuf/google.protobuf#field-mask`.

This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`.

### Request body

The request body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.indexEndpoints#IndexEndpoint`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.indexEndpoints#IndexEndpoint`.

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `aiplatform.indexEndpoints.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).